# Deposits settlement Deposits settlement Endpoint: POST /exchanges/{ExchangeCode}/execution-venues/{ExecutionVenueCode}/action/settle Version: 1.0.0-beta Security: bearerToken ## Path parameters: - `ExchangeCode` (string, required) Exchange code Example: "CBL , RVCMC" - `ExecutionVenueCode` (string, required) Ref.Data.EXECUTION_VENUE ## Request fields (application/json): - `tradeIdentifier` (string, required) - `sellerIdentifier` (string, required) Example: "098B0A25" - `buyerIdentifier` (string, required) Example: "098B0A25" - `productCode` (string, required) - `quantity` (integer, required) Example: 100 - `price` (number, required) Example: 3.12 - `currency` (string, required) Example: "USD" ## Response 400 fields (application/json): - `code` (string) Enum: "INVALID_REQUEST", "DUPLICATED_REQUEST", "INVALID_EXCHANGE", "INVALID_EXECUTION_VENUE", "ACCOUNT_NOT_FOUND", "NOT_ENOUGH_QUANTITY", "DEPOSIT_NOT_FOUND" - `message` (string) ## Response 401 fields (application/json): - `message` (string) ## Response 404 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string) ## Response 201 fields